BeanContextServicesSupport.BCSSServiceProvider (Java Platform SE 8 )
Keywords: java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider class
Date: 2016-04-24

java.beans.beancontext

## Class BeanContextServicesSupport.BCSSServiceProvider

- java.lang.Object
- - java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    BeanContextServicesSupport

      protected static class BeanContextServicesSupport.BCSSServiceProvider
      extends Object
      implements Serializable

  subclasses may subclass this nested class to add behaviors for each BeanContextServicesProvider.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BeanContextServiceProvider` | `serviceProvider` The service provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanContextServiceProvider` | `getServiceProvider()` Returns the service provider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceProvider

          protected BeanContextServiceProvider serviceProvider

      The service provider.

  - ### Method Detail

    - #### getServiceProvider

          protected BeanContextServiceProvider getServiceProvider()

      Returns the service provider.
      Returns:
        the service provider

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.